USERMOD(8)

NAME
usermod - Modifier un compte utilisateur

SYNOPSIS

usermod [options] LOGIN

DESCRIPTION

La commande usermod modifie les fichiers d'administration des comptes du système pour refléter les modifications qui ont été spécifiées sur la ligne de commande.

OPTIONS

Les options disponibles pour la commande usermod sont :

-c, --comment COMMENTAIRE
    La nouvelle valeur du champ de commentaire du fichier de mots de passe pour l'utilisateur. Il est normalement modifié en utilisant l'utilitaire chfn(1).

-d, --home RÉP_PERSO
    Le nouveau répertoire de connexion de l'utilisateur. Si l'option -m est fournie, le contenu du répertoire personnel actuel sera déplacé dans le nouveau répertoire personnel, qui sera créé si nécessaire.

-e, --expiredate DATE_FIN_VALIDITÉ
    La date à laquelle le compte utilisateur sera désactivé. La date est spécifiée dans le format AAAA-MM-JJ.

-f, --inactive DURÉE_INACTIVITÉ
    Le nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité. La valeur par défaut est de -1.

-g, --gid GROUPE
    Le nom du groupe ou l'identifiant numérique du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe préexistant. Le numéro de groupe par défaut est de 1.

-G, --groups GROUPE1[,GROUPE2,...[,GROUPEN]]]
    Une liste de groupes supplémentaires auxquels fait également partie l'utilisateur. Les groupes sont séparés par une virgule, sans espace entre eux. Les groupes sont soumis aux mêmes restrictions que celles données avec l'option -g. Si l'utilisateur fait actuellement partie d'un groupe qui n'est pas listé, l'utilisateur sera supprimé du groupe. Ce comportement peut être changé avec l'option -a, qui permet d'ajouter l'utilisateur à une liste de groupes supplémentaires.

-l, --login nouvel_utilisateur
    Le nom de l'utilisateur passera de utilisateur à nouvel_utilisateur. Rien d'autre n'est modifié. En particulier, le répertoire personnel de l'utilisateur devra probablement être changé pour refléter le nouveau nom de connexion.

-L, --lock
    Verrouille le mot de passe d'un utilisateur. Cette option ajoute un « ! » devant le mot de passe chiffré, ce qui désactive le mot de passe. Vous ne pouvez pas utiliser cette option avec -p ou -U.

-o, --non-unique
    En combinaison avec l'option -u, cette option permet de changer l'identifiant utilisateur vers une valeur déjà utilisée.

-p, --password MOT_DE_PASSE
    Le mot de passe chiffré, comme renvoyé par crypt(3).

-s, --shell INTERPRÉTEUR
    Le nom du nouvel interpréteur de commandes initial (« login shell ») de l'utilisateur. Si le champ est vide, le système sélectionnera l'interpréteur de commandes initial par défaut.

-u, --uid UID
    La valeur numérique de l'identifiant de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Les valeurs comprises entre 0 et 999 sont généralement réservées aux comptes système. Tous les fichiers possédés par l'utilisateur et qui sont situés dans le répertoire personnel de l'utilisateur verront leur identifiant utilisateur automatiquement modifié. Vous devrez rechercher et modifier vous-même les fichiers situés à l'extérieur du répertoire personnel de l'utilisateur.

-U, --unlock
    Déverrouille le mot de passe d'un utilisateur. Cela supprime le « ! » situé devant le mot de passe chiffré. Vous ne pouvez pas utiliser cette option avec -p ou -L.

AVERTISSEMENTS

Usermod ne vous permet pas de modifier le nom d'un utilisateur qui est actuellement connecté. Vous devez être sûr que l'utilisateur nommé n'est pas en train d'exécuter un quelconque programme quand cette commande est exécutée si l'UID numérique de l'utilisateur est modifié. Vous devez modifier vous-même le nom du propriétaire de tous les fichiers crontab et des tâches at. Vous devez effectuer les modifications impliquant NIS sur le serveur NIS.

FICHIERS

/etc/group
    informations sur les groupes

/etc/login.defs
    configuration de la suite des mots de passe cachés « shadow password »

/etc/passwd
    informations sur les comptes des utilisateurs

/etc/shadow
    informations sécurisées sur les comptes utilisateurs

VOIR AUSSI

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).